This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 97596 - (IDE ICH5)SATA Driver Problem
(IDE ICH5)SATA Driver Problem
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-18 02:31 EDT by George J. Jahchan
Modified: 2007-04-18 12:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description George J. Jahchan 2003-06-18 02:31:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; WHCC/0.6; .NET 
CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
System freezes upon loading SATA driver in the early stages of the boot 
process. Kernel 2.4.20-8 was not SATA-aware and did not recognize the SATA HDD 
present in the system.

System Board: Intel D875PBZ, 2.4-GHZ P4 CPU, w/512-MB of 333-MHz DDRAM, Maxtor 
4-GB IDE (Boot) and Seagate Barracuda 80-GB Serial ATA HDD (known working).


Version-Release number of selected component (if applicable):
2.4.20-18.9

How reproducible:
Always

Steps to Reproduce:
1.Load 2.4.20-18.9-i386 kernel on an Intel D875PBZ system board w/IDE and SATA 
HDDs present.
2.
3.
    

Actual Results:  Hard reset system and boot with old 2.4.20-8 kernel without 
the ability to access the SATA HDD.

Expected Results:  Normal Boot.

Additional info:
Comment 1 Alan Cox 2003-06-22 13:40:40 EDT
Known problem. I've added Jeff to the cc on this. 
Comment 2 Anders Blomdell 2003-06-23 03:30:06 EDT
I have similar problems with SATA on a Intel D865PERLK motherboard 
and kernel 2.4.21, when the BIOS is set in enhanced mode (-> 6 possible 
ATA disks), when configured in legacy mode everything works OK. The 
difference seems to be:

  Legacy mode:
    the 2 SATA disks generates different interrupts (14 & 15)

  Enhanced mode:
    the 2 SATA disks shares a interrupt (10), and after a few interrupts
	the machine is hung while it is (forever) ignoring interrupt
    on that shared interrupt (as stated in ide_intr:
      * For PCI, we cannot tell the difference,
      * so in that case we just ignore it and hope it goes away.
    ), but the hope that it goes away, is never fulfilled.
Comment 3 Jeff Garzik 2003-08-27 15:06:38 EDT
This is (unfortunately) the known and expected behavior for the IDE driver, when
confronted with ICH5 SATA.

The workaround, as suggested, is to set up the devices in legacy mode.

Comment 4 Bugzilla owner 2004-09-30 11:41:10 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.